module Logrotate
  def logrotate_config options
    output = []

    options.each do |file, policies|
      guard = file && !file.empty?

      if guard
        output << '%s {' % file
        spacer = '  '
      end

      policies.each do |name, value|
        policy = '%s%s %s' % [ spacer, name, value ]
        output << policy.rstrip
      end

      output << '}' if guard
      output << ''
    end

    output.join("\n").lstrip
  end
end



class Chef::Recipe
  include Logrotate
end


class Chef::Resource
  include Logrotate
end